Asterisk Project : Asterisk 11 Application_MacroIf This page last changed on Jul 20, 2012 by wikibot. # MacroIf() ### Synopsis Conditional Macro implementation. ### Description Executes macro defined in macroiftrue if expr is true (otherwise macroiffalse if provided) Arguments and return values as in application Macro()
| Warning Use of the application `WaitExten` within a macro will not function as expected. Please use the `Read` application in order to read DTMF from a channel currently executing a macro.
### Syntax
    MacroIf(exprmacroiftrue:macroiffalse)
##### Arguments `expr` `destination` `macroiftrue` `macroiftrue` `arg1` `macroiffalse` `macroiffalse` `arg1` ### See Also Asterisk 11 Application_GotoIf Asterisk 11 Application_GosubIf Asterisk 11 Function_IF ### Import Version This documentation was imported from Asterisk Version SVN-trunk-r370328

Document generated by Confluence on Nov 02, 2012 17:42